#!/usr/bin/env zsh

# Note:
#   - --cpus-per-task depends on how many cores a system has and what fraction of GPUs is used on the system. Here we use half of the node.
#   - The reservation "ppces" is not available after the workshop anymore
#   - For scikit-learn you dont need GPUs. Everything is running on the CPU. However, there are extensions like h2o4gpu that port some functions to a GPU.

srun --time=01:00:00 --partition=c18g --cpus-per-task=24 --gres=gpu:volta:1 --reservation=ppces ./jupyter-scikit.sh
