#!/usr/bin/env zsh

# Load modules required for NVIDIA GPUs
module purge
module load DEVELOP intel
module load cuda/110
module load cudnn/8.0.5

# Load module for Singularity container
module use /cvmfs/unpacked.hpc.itc.rwth-aachen.de/modules/CONTAINERS
module load ppces/2021-tensorflow

singularity exec -e --no-home --home /project --nv \
    -B $(pwd)/exercises-ml-dl/:/project/ ${R_CONTAINER} \
    bash -c "conda init && source ~/.bashrc && export MPLCONFIGDIR=~/.config/matplotlib && cd ~; jupyter lab --ip='0.0.0.0'"
